;InnoSetupVersion=5.1.13

[Setup]
AppName=TaskInfo 7.1
AppVerName=TaskInfo 7.1.0.230
AppId=TaskInfo 7
AppVersion=7.1.0.230
AppPublisher=Igor Arsenin (Iarsn)
AppPublisherURL=http://www.iarsn.com/
AppSupportURL=http://www.iarsn.com/download.html
AppUpdatesURL=http://www.iarsn.com/download.html
DefaultDirName={pf}\Iarsn\TaskInfo 7.x
DefaultGroupName=TaskInfo 7.x
UninstallDisplayIcon={app}\TaskInfo.exe
UninstallFilesDir={app}\uninst
OutputBaseFilename=tskinf71
Compression=lzma
ArchitecturesAllowed=x86 x64 ia64
ArchitecturesInstallIn64BitMode=x64 ia64
PrivilegesRequired=poweruser
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\TaskInfo.exe"; DestDir: "{app}"; 
Source: "{app}\TASKINFO.CHM"; DestDir: "{app}"; 
Source: "{app}\INETWH32.dll"; DestDir: "{app}"; 
Source: "{app}\WHATSNEW.url"; DestDir: "{app}"; 
Source: "{app}\license.url"; DestDir: "{app}"; 
Source: "{app}\register.url"; DestDir: "{app}"; 
Source: "{app}\mysite.url"; DestDir: "{app}"; 
Source: "{app}\FILE_ID.DIZ"; DestDir: "{app}"; 
Source: "{app}\whatsnew.log"; DestDir: "{app}"; 
Source: "{app}\dbghelp.dll"; DestDir: "{app}"; 
Source: "{app}\symsrv.dll"; DestDir: "{app}"; 
Source: "{sys}\tsknf700.vxd"; DestDir: "{sys}"; 
Source: "{syswow64}\PSAPI.DLL"; DestDir: "{syswow64}"; Check: "IsOtherArch"; Flags: sharedfile 
Source: "{sys}\drivers\Tsknf700,1.sys"; DestDir: "{sys}\drivers"; DestName: "Tsknf700.sys"; Check: "IsOtherArch"; 
Source: "{sys}\drivers\Tsknf700,2.sys"; DestDir: "{sys}\drivers"; DestName: "Tsknf700.sys"; Check: "IsIA64"; MinVersion: 0.0,5.0; 
Source: "{sys}\drivers\Tsknf700,3.sys"; DestDir: "{sys}\drivers"; DestName: "Tsknf700.sys"; Check: "IsX64"; MinVersion: 0.0,5.0; 
Source: "{app}\TIHelper.exe"; DestDir: "{app}"; Check: "IsX64"; MinVersion: 0.0,5.0; 

[Dirs]
Name: "{app}\uninst"; 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TaskInfo.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TaskInfo.exe"; ValueType: String; ValueData: "{app}\TaskInfo.exe"; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TaskInfo.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\VxD\Tasknf700"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\VxD\Tasknf700"; ValueName: "Start"; ValueType: Dword; ValueData: "$0"; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\VxD\Tasknf700"; ValueName: "StaticVxD"; ValueType: String; ValueData: "tsknf700.vxd"; 

[Run]
Filename: "{app}\TaskInfo.exe"; Parameters: "install"; StatusMsg: "Finishing Installation ..."; 
Filename: "{app}\TIHelper.exe"; Parameters: "/RegServer"; StatusMsg: "Finishing Installation ..."; Check: "IsX64"; 
Filename: "{app}\TaskInfo.exe"; Description: "Run TaskInfo after Installation"; Flags: shellexec postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\TaskInfo.exe"; Parameters: "uninstall"; RunOnceId: "DelDriver"; 
Filename: "{app}\TIHelper.exe"; Parameters: "/UnregServer"; RunOnceId: "DelTIHlpr"; Check: "IsX64"; 

[Icons]
Name: "{userdesktop}\Iarsn TaskInfo 7.x"; Filename: "{app}\TaskInfo.exe"; Tasks: desktopicon; 
Name: "{group}\Iarsn TaskInfo"; Filename: "{app}\TaskInfo.exe"; 
Name: "{group}\TaskInfo Registration Page"; Filename: "{app}\register.url"; 
Name: "{group}\TaskInfo Home Page"; Filename: "{app}\mysite.url"; 
Name: "{group}\TaskInfo History Page"; Filename: "{app}\whatsnew.url"; 
Name: "{group}\TaskInfo Documentation\End User License"; Filename: "{app}\license.url"; 
Name: "{group}\TaskInfo Documentation\Help"; Filename: "{app}\TaskInfo.chm"; 
Name: "{group}\Uninstall TaskInfo"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 

[InstallDelete]
Type: files; Name: "{group}\TaskInfo Documentation\Register.txt.lnk"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
